
%bcond_with	snap	# include shapshot information in version,
			# should be used only in official Th spanhots

%define snapshot	2012

# CPE_NAME = cpe:/ {part} : {vendor} : {product} : {version} : {update} : {edition} : {language}
# http://cpe.mitre.org/specification/
# http://csrc.nist.gov/publications/nistir/ir7695/NISTIR-7695-CPE-Naming.pdf

%if %{with snap}
%define	distname	Th/%{snapshot}
%define cpename		cpe:/o:pld-linux:pld:%{distversion}:%{snapshot}
%else
%define	distname	Th
%define cpename		cpe:/o:pld-linux:pld:%{distversion}
%endif
%define	distversion	3.0
%define	distrelease	"%{distversion} PLD Linux (%{distname})"

Summary:	PLD Linux release file with logo
Summary(de.UTF-8):	PLD Linux Release-Datei mit logo
Summary(pl.UTF-8):	Wersja Linuksa PLD z logiem
Name:		issue-logo
Version:	%{distversion}
Release:	1%{?with_snap:.%{snapshot}}
License:	GPL
Group:		Base
Provides:	issue
Conflicts:	issue-alpha < 3.0-1
Conflicts:	issue-fancy < 3.0-1
Conflicts:	issue-nice < 3.0-1
Conflicts:	issue-pure < 3.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PLD Linux release file with logo.

%description -l de.UTF-8
PLD Linux Release-Datei mit logo.

%description -l pl.UTF-8
Wersja Linuksa PLD z logiem.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

cat > $RPM_BUILD_ROOT%{_sysconfdir}/issue <<EOF
  _
 / )     PLD Linux %{distversion} (%{distname}) \m, \r
/ /       Welcome to \n
 ( -.      \u user(s)
 \\\\   \\\\
  \\\\  \\\\\\\\
   \\\`| \\\\\\\\
    |  \\\`
    |

EOF

echo -ne "\l " >> $RPM_BUILD_ROOT%{_sysconfdir}/issue

cat > $RPM_BUILD_ROOT%{_sysconfdir}/issue.net <<EOF
  _
 / )     PLD Linux %{distversion} (%{distname}) %m, %r
/ /       Welcome to %h
 ( -.
 \\\\   \\\\
  \\\\  \\\\\\\\
   \\\`| \\\\\\\\
    |  \\\`
    |

EOF

echo %{distrelease} > $RPM_BUILD_ROOT%{_sysconfdir}/pld-release

# CPE_NAME = cpe:/ {part} : {vendor} : {product} : {version} : {update} : {edition} : {language}
# http://cpe.mitre.org/specification/
cat >$RPM_BUILD_ROOT%{_sysconfdir}/os-release <<EOF
NAME="PLD Linux"
VERSION="%{distversion} (%{distname})"
ID="pld"
VERSION_ID="%{distversion}"
PRETTY_NAME="PLD Linux %{distversion} (%{distname})"
ANSI_COLOR="0;32"
CPE_NAME="%{cpename}"
HOME_URL="http://www.pld-linux.org/"
BUG_REPORT_URL="http://bugs.pld-linux.org/"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_sysconfdir}/os-release
%{_sysconfdir}/pld-release
%config(noreplace) %{_sysconfdir}/issue*
%changelog
* Sat Sep 01 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/issue-logo.git;a=log;h=master

* Tue Aug 21 2012 Jan Rękorajski <baggins@pld-linux.org> c28fd9c
Use canonical short url for BUG_REPORT_URL

* Tue Aug 21 2012 Jan Rękorajski <baggins@pld-linux.org> 23d2186
Conflicts tag need a release

* Tue Aug 21 2012 Jan Rękorajski <baggins@pld-linux.org> 746000a
Added BUG_REPORT_URL to /etc/os-release

* Mon Aug 20 2012 Jan Rękorajski <baggins@pld-linux.org> c0fd914
Change version to 3.0 and add snap bcond

* Thu Feb 16 2012 Jan Rękorajski <baggins@pld-linux.org> 5c47aa1
- relup
- drop foreign obsoletes
- add /etc/os-release (http://www.freedesktop.org/software/systemd/man/os-release.html)

* Wed Aug 08 2007 Patryk Zawadzki <patrys@room-303.com> ed040d8
- add conflicts where affected
- add P/O issue-package
- rel up

* Mon Aug 06 2007 Patryk Zawadzki <patrys@room-303.com> f6d7a6c
- provide issue
- drop obsoletes

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 74d0432
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b8fa68b
- converted to UTF-8

* Tue Apr 25 2006 Adam Gołębiowski <adamg@pld-linux.org> 2e66420
- 2.99 (Th)

* Sun Jan 22 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> b88c8d6
- update for AC 2.0

* Tue Dec 14 2004 djrzulf <djrzulf@pld-linux.org> 1c69d32
- added missed obsoletes,

* Thu Jul 29 2004 Jakub Bogusz <qboosh@pld-linux.org> 1ac8de8
- added prep, fixed logo (double escaping needed); release 2

* Sat Oct 25 2003 pzurowski <pzurowski@pld-linux.org> 5739a34
- added %%{distversion}, %%{distname} and %%{distrelease} macros

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 6feb4f0
- mass commit: cosmetics (removed trailing white spaces)

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> b5e6388
- massive attack s/pld.org.pl/pld-linux.org/

* Mon Dec 02 2002 Paweł Gołaszewski <blues@pld-linux.org> 8b1c0c0
- started with 1.99

* Wed Jul 03 2002 kloczek <kloczek@pld-linux.org> cb6ae62
- redhat-release and mandrake-release added to Obsletes.

* Wed Jul 03 2002 dobrek <dobrek@pld-linux.org> 1ba4b79
- removed ^c from a beginnng of file. It loooks worse but provides
  functionality. Otherwise --noclear option of mingetty is senseless.

* Thu Apr 25 2002 arturs <arturs@pld-linux.org> 978559c
fixed a small typo

